Bug 4171 - hildon-control-panel build-depends on libcodelockui1-dev which cannot be satisfied in SDK
: hildon-control-panel build-depends on libcodelockui1-dev which cannot be sat...
Status: RESOLVED FIXED
Product: Development platform
SDK
: 5.0-alpha
: All Ubuntu
: Low normal (vote)
: ---
Assigned To: Soumya
: sdk-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2009-03-02 15:20 UTC by Carsten Munk
Modified: 2009-03-02 16:25 UTC (History)
3 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Carsten Munk (reporter) maemo.org 2009-03-02 15:20:48 UTC
SOFTWARE VERSION:
(Control Panel > General > About product)

STEPS TO REPRODUCE THE PROBLEM:

Attempt to build hildon-control-panel from SDK both with and without
nokia-binaries

EXPECTED OUTCOME:

Ability to get build dependancies for hildon-control-panel. Additionally, it
would be nice to build HCP without having to use libcodelockui1 which is in
nokia-binaries and hence HCP cannot be built on non-Maemo platforms.

ACTUAL OUTCOME:

libcodelockui1-dev fails to be retrieved or found in repository.

REPRODUCIBILITY:
always

EXTRA SOFTWARE INSTALLED:

OTHER COMMENTS:

User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.0.6)
Gecko/2009011913 Firefox/3.0.6
Comment 1 Quim Gil nokia 2009-03-02 15:34:31 UTC
Do you mean alpha release?
Comment 2 Carsten Munk (reporter) maemo.org 2009-03-02 15:37:32 UTC
(In reply to comment #1)
> Do you mean alpha release?
> 

Oh, yes. It is truely monday today :)
Comment 3 Soumya nokia 2009-03-02 16:25:30 UTC
libcodelockui1-dev was indeed missing. Thanks for the bug. The repository is
fixed now.